
fermitools - Installation #5677

Install version 2.0.8

2020-05-14 12:30 PM - Albert van Eck

Status: Closed Start date: 2022-05-17

Priority: Normal Due date: 2022-05-31

Assignee: Albert van Eck % Done: 100%

Category:  Estimated time: 40.00 hours

Target version:  Spent time: 28.75 hours

Description

Install from: https://github.com/fermi-lat/Fermitools-conda/wiki/Installation-Instructions

History

#1 - 2021-06-23 09:10 AM - Albert van Eck

- Subject changed from Install version 1.2.23 to Install version 2.0.8

#2 - 2021-09-21 10:40 AM - Albert van Eck

- Estimated time changed from 2.00 h to 40.00 h

#3 - 2021-09-21 12:01 PM - Albert van Eck

- Tracker changed from Support to Installation

#4 - 2021-09-21 12:07 PM - Albert van Eck

- % Done changed from 20 to 70

- Status changed from New to In Progress

#5 - 2021-09-21 12:10 PM - Albert van Eck

- Start date changed from 2020-05-14 to 2021-10-04

#6 - 2021-09-21 12:12 PM - Albert van Eck

- Due date set to 2021-10-08

#7 - 2022-05-23 09:28 PM - Albert van Eck

- Start date changed from 2021-10-04 to 2022-05-17

- Due date changed from 2021-10-08 to 2022-05-31

- File output.txt added

#8 - 2022-05-23 09:50 PM - Albert van Eck

- % Done changed from 70 to 100

- Status changed from In Progress to Closed

#9 - 2022-05-24 04:24 PM - Albert van Eck

(fermi_2.0.8) [root@node0518 ~]# /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python/envs/fermi_2.0.8/bin/python3.7 -m pip install

"setuptools<58"

Collecting setuptools<58

Downloading setuptools-57.5.0-py3-none-any.whl (819 kB)

━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 819.3/819.3 kB 7.8 MB/s eta 0:00:00

Installing collected packages: setuptools

Attempting uninstall: setuptools

Found existing installation: setuptools 62.3.2

Uninstalling setuptools-62.3.2:
Successfully uninstalled setuptools-62.3.2

Successfully installed setuptools-57.5.0

WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is

recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv

(fermi_2.0.8) [root@node0518 ~]# pip install "setuptools<58"

Requirement already satisfied: setuptools<58 in

/soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python3.7/envs/fermi_2.0.8/lib/python3.7/site-packages (57.5.0)

WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is

recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv

(fermi_2.0.8) [root@node0518 ~]# pip install pyds9

Requirement already satisfied: pyds9 in /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python3.7/envs/fermi_2.0.8/lib/python3.7/site-packages

(1.8.1)

Requirement already satisfied: six in /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python3.7/envs/fermi_2.0.8/lib/python3.7/site-packages (from

pyds9) (1.16.0)

WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is

recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv

(fermi_2.0.8) [root@node0518 ~]# pip install pyfits

Collecting pyfits

Using cached pyfits-3.5.tar.gz (1.7 MB)

Preparing metadata (setup.py) ... done

Requirement already satisfied: numpy in /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python3.7/envs/fermi_2.0.8/lib/python3.7/site-packages

(from pyfits) (1.21.6)

Building wheels for collected packages: pyfits

Building wheel for pyfits (setup.py) ... done

Created wheel for pyfits: filename=pyfits-3.5-cp37-cp37m-linux_x86_64.whl size=1035574

sha256=61c11af3f2490aca0c0b32620bb77385e99a5908f71e61baa8a2128217398dca

Stored in directory: /root/.cache/pip/wheels/08/e8/5b/05e3ed8ca223800d18334962514e593713e22452e45362ced9

Successfully built pyfits

Installing collected packages: pyfits

Successfully installed pyfits-3.5

WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is

recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv

(fermi_2.0.8) [root@node0518 ~]# conda config --add channels conda-forge

(fermi_2.0.8) [root@node0518 ~]# conda install -y cryptography pyopenssl urllib3

Collecting package metadata (current_repodata.json): done

Solving environment: done

> WARNING: A newer version of conda exists. <

current version: 4.9.2

latest version: 4.12.0   

Please update conda by running

$ conda update -n base -c defaults conda

1. Package Plan ##   

environment location: /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python/envs/fermi_2.0.8

added / updated specs:

- cryptography

- pyopenssl

- urllib3

The following packages will be downloaded:

package                    |            build

    ---------------------------|-----------------

    brotlipy-0.7.0             |py37h540881e_1004         342 KB  conda-forge

    cryptography-37.0.2        |   py37h38fbfac_0         1.5 MB  conda-forge

    idna-3.3                   |     pyhd8ed1ab_0          55 KB  conda-forge

    pyopenssl-22.0.0           |     pyhd8ed1ab_0          49 KB  conda-forge

    pysocks-1.7.1              |   py37h89c1867_5          28 KB  conda-forge

    urllib3-1.26.9             |     pyhd8ed1ab_0         100 KB  conda-forge

    ------------------------------------------------------------

                                           Total:         2.1 MB

 

The following NEW packages will be INSTALLED:

brotlipy           conda-forge/linux-64::brotlipy-0.7.0-py37h540881e_1004

  cryptography       conda-forge/linux-64::cryptography-37.0.2-py37h38fbfac_0

  idna               conda-forge/noarch::idna-3.3-pyhd8ed1ab_0

2025-04-04 2/22

https://pip.pypa.io/warnings/venv
https://pip.pypa.io/warnings/venv
https://pip.pypa.io/warnings/venv
https://pip.pypa.io/warnings/venv


  pyopenssl          conda-forge/noarch::pyopenssl-22.0.0-pyhd8ed1ab_0

  pysocks            conda-forge/linux-64::pysocks-1.7.1-py37h89c1867_5

  urllib3            conda-forge/noarch::urllib3-1.26.9-pyhd8ed1ab_0

 

Downloading and Extracting Packages

brotlipy-0.7.0       | 342 KB    |

#######################################################################################################################

#######################################################################################################################

################################################################################### | 100%

cryptography-37.0.2  | 1.5 MB    |

#######################################################################################################################

#######################################################################################################################

################################################################################### | 100%

idna-3.3             | 55 KB     |

#######################################################################################################################

#######################################################################################################################

################################################################################### | 100%

pysocks-1.7.1        | 28 KB     |

#######################################################################################################################

#######################################################################################################################

################################################################################### | 100%

pyopenssl-22.0.0     | 49 KB     |

#######################################################################################################################

#######################################################################################################################

################################################################################### | 100%

urllib3-1.26.9       | 100 KB    |

#######################################################################################################################

#######################################################################################################################

################################################################################### | 100%

Preparing transaction: done

Verifying transaction: done

Executing transaction: done

You have PYTHONPATH set. This might interfere with the correct functioning of conda and the Fermi ST

(fermi_2.0.8) [root@node0518 ~]# python -c "import urllib3.contrib.pyopenssl; urllib3.contrib.pyopenssl.inject_into_urllib3()"

(fermi_2.0.8) [root@node0518 ~]# echo $?

0

(fermi_2.0.8) [root@node0518 ~]# conda install -y healpy ndg-httpsclient pyasn1 bz2file virtualenv cython ipython sympy pandas pathos readline

fermiPy nb_conda

Collecting package metadata (current_repodata.json): done

Solving environment: failed with initial frozen solve. Retrying with flexible solve.

Solving environment: / failed with repodata from current_repodata.json, will retry with next repodata source.

CondaError: KeyboardInterrupt

^C

You have new mail in /var/spool/mail/root

(fermi_2.0.8) [root@node0518 ~]# ^C

(fermi_2.0.8) [root@node0518 ~]# ^C

(fermi_2.0.8) [root@node0518 ~]# ^C

(fermi_2.0.8) [root@node0518 ~]# ^C

(fermi_2.0.8) [root@node0518 ~]# ^C

(fermi_2.0.8) [root@node0518 ~]# ^C

(fermi_2.0.8) [root@node0518 ~]# ^C

(fermi_2.0.8) [root@node0518 ~]# alias conda='mambo '

(fermi_2.0.8) [root@node0518 ~]# conda install -y healpy ndg-httpsclient pyasn1 bz2file virtualenv cython ipython sympy pandas pathos readline

fermiPy nb_conda

-bash: mambo: command not found

(fermi_2.0.8) [root@node0518 ~]# unalias conda

(fermi_2.0.8) [root@node0518 ~]# conda install mamba -c conda-forge

Collecting package metadata (current_repodata.json): done

Solving environment: failed with initial frozen solve. Retrying with flexible solve.

Solving environment: - failed with repodata from current_repodata.json, will retry with next repodata source.

CondaError: KeyboardInterrupt

^C

(fermi_2.0.8) [root@node0518 ~]# ^C

(fermi_2.0.8) [root@node0518 ~]# ^C

(fermi_2.0.8) [root@node0518 ~]# ^C

(fermi_2.0.8) [root@node0518 ~]# ^C

(fermi_2.0.8) [root@node0518 ~]# ^C

(fermi_2.0.8) [root@node0518 ~]# ^C

(fermi_2.0.8) [root@node0518 ~]# alias conda='mamba '
(fermi_2.0.8) [root@node0518 ~]# unalias conda

(fermi_2.0.8) [root@node0518 ~]# conda install mamba -c conda-forge

Collecting package metadata (current_repodata.json): done

Solving environment: failed with initial frozen solve. Retrying with flexible solve.

Solving environment: failed with repodata from current_repodata.json, will retry with next repodata source.

Collecting package metadata (repodata.json): done

Solving environment: done

> WARNING: A newer version of conda exists. <

current version: 4.9.2

latest version: 4.12.0   

Please update conda by running

$ conda update -n base -c defaults conda

1. Package Plan ##   

environment location: /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python/envs/fermi_2.0.8

added / updated specs:

- mamba

The following packages will be downloaded:

package                    |            build

    ---------------------------|-----------------

    charset-normalizer-2.0.12  |     pyhd8ed1ab_0          35 KB  conda-forge

    conda-4.12.0               |   py37h89c1867_0         1.0 MB  conda-forge

    conda-package-handling-1.8.1|   py37h540881e_1         1.0 MB  conda-forge

    libarchive-3.5.1           |       h3f442fb_1         1.6 MB  conda-forge

    libsolv-0.7.22             |       h6239696_0         443 KB  conda-forge

    lzo-2.10                   |    h516909a_1000         314 KB  conda-forge

    mamba-0.15.3               |   py37h7f483ca_0         741 KB  conda-forge

    pycosat-0.6.3              |py37h540881e_1010         107 KB  conda-forge

    reproc-14.2.3              |       h7f98852_0          28 KB  conda-forge

    reproc-cpp-14.2.3          |       h9c3ff4c_0          20 KB  conda-forge

    requests-2.27.1            |     pyhd8ed1ab_0          53 KB  conda-forge

    ruamel_yaml-0.15.80        |py37h5e8e339_1006         270 KB  conda-forge

    ------------------------------------------------------------

                                           Total:         5.5 MB

 

The following NEW packages will be INSTALLED:

charset-normalizer conda-forge/noarch::charset-normalizer-2.0.12-pyhd8ed1ab_0

  conda              conda-forge/linux-64::conda-4.12.0-py37h89c1867_0

  conda-package-han~ conda-forge/linux-64::conda-package-handling-1.8.1-py37h540881e_1

  libarchive         conda-forge/linux-64::libarchive-3.5.1-h3f442fb_1

  libsolv            conda-forge/linux-64::libsolv-0.7.22-h6239696_0

  lzo                conda-forge/linux-64::lzo-2.10-h516909a_1000

  mamba              conda-forge/linux-64::mamba-0.15.3-py37h7f483ca_0

  pycosat            conda-forge/linux-64::pycosat-0.6.3-py37h540881e_1010

  reproc             conda-forge/linux-64::reproc-14.2.3-h7f98852_0

  reproc-cpp         conda-forge/linux-64::reproc-cpp-14.2.3-h9c3ff4c_0

  requests           conda-forge/noarch::requests-2.27.1-pyhd8ed1ab_0

  ruamel_yaml        conda-forge/linux-64::ruamel_yaml-0.15.80-py37h5e8e339_1006

 

Proceed ([y]/n)? y

Downloading and Extracting Packages

libarchive-3.5.1     | 1.6 MB    |

#######################################################################################################################

#######################################################################################################################

################################################################################### | 100%

lzo-2.10             | 314 KB    |

#######################################################################################################################

#######################################################################################################################

################################################################################### | 100%

reproc-14.2.3        | 28 KB     |

#######################################################################################################################
#######################################################################################################################

################################################################################### | 100%

conda-package-handli | 1.0 MB    |

#######################################################################################################################

#######################################################################################################################

################################################################################### | 100%

requests-2.27.1      | 53 KB     |

#######################################################################################################################

#######################################################################################################################

################################################################################### | 100%

libsolv-0.7.22       | 443 KB    |

#######################################################################################################################

#######################################################################################################################

################################################################################### | 100%

pycosat-0.6.3        | 107 KB    |

#######################################################################################################################

#######################################################################################################################

################################################################################### | 100%

reproc-cpp-14.2.3    | 20 KB     |

#######################################################################################################################

#######################################################################################################################

################################################################################### | 100%

ruamel_yaml-0.15.80  | 270 KB    |

#######################################################################################################################

#######################################################################################################################

################################################################################### | 100%

conda-4.12.0         | 1.0 MB    |

#######################################################################################################################

#######################################################################################################################

################################################################################### | 100%

charset-normalizer-2 | 35 KB     |

#######################################################################################################################

#######################################################################################################################

################################################################################### | 100%

mamba-0.15.3         | 741 KB    |

#######################################################################################################################

#######################################################################################################################

################################################################################### | 100%

Preparing transaction: done

Verifying transaction: done

Executing transaction: done

You have PYTHONPATH set. This might interfere with the correct functioning of conda and the Fermi ST

(fermi_2.0.8) [root@node0518 ~]# alias conda='mamba '

You have new mail in /var/spool/mail/root

(fermi_2.0.8) [root@node0518 ~]# pip install "setuptools<58"

Requirement already satisfied: setuptools<58 in /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python3.7/site-packages (50.3.1.post20201107)

(fermi_2.0.8) [root@node0518 ~]# pip install pyds9

Processing ./.cache/pip/wheels/98/72/08/5741556191721ab31dff3bd5e31d2536cd86d9baa10e98f30e/pyds9-1.8.1-py3-none-any.whl

Requirement already satisfied: six in /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python3.7/site-packages (from pyds9) (1.15.0)

Installing collected packages: pyds9

Successfully installed pyds9-1.8.1

(fermi_2.0.8) [root@node0518 ~]# pip install pyfits

Processing ./.cache/pip/wheels/08/e8/5b/05e3ed8ca223800d18334962514e593713e22452e45362ced9/pyfits-3.5-cp37-cp37m-linux_x86_64.whl

Collecting numpy

Downloading numpy-1.21.6-cp37-cp37m-manylinux_2_12_x86_64.manylinux2010_x86_64.whl (15.7 MB)     

|████████████████████████████████| 15.7 MB 14.4 MB/s

Installing collected packages: numpy, pyfits

Successfully installed numpy-1.21.6 pyfits-3.5

(fermi_2.0.8) [root@node0518 ~]# conda config --add channels conda-forge

_    _    _    

                 /  \  /  \  /  \  /  \

                /    \/    \/    \/    \

███████████████/  /██/  /██/  /██/  /████████████████████████

              /  / \   / \   / \   / \  \_

             /  /   \_/   \_/   \_/   \    o \__,

            / /                       \____/  `

    |/

        ███╗   ███╗ █████╗ ███╗   ███╗██████╗  █████╗

        ████╗ ████║██╔══██╗████╗ ████║██╔══██╗██╔══██╗

        ██╔████╔██║███████║██╔████╔██║██████╔╝███████║

        ██║╚██╔╝██║██╔══██║██║╚██╔╝██║██╔══██╗██╔══██║

        ██║ ╚═╝ ██║██║  ██║██║ ╚═╝ ██║██████╔╝██║  ██║

        ╚═╝     ╚═╝╚═╝  ╚═╝╚═╝     ╚═╝╚═════╝ ╚═╝  ╚═╝
mamba (0.15.3) supported by @QuantStack

 

GitHub:  https://github.com/mamba-org/mamba

        Twitter: https://twitter.com/QuantStack

 

█████████████████████████████████████████████████████████████

Currently, only install, create, list, search, run, info and clean are supported through mamba.

(fermi_2.0.8) [root@node0518 ~]# conda install -y cryptography pyopenssl urllib3

_    _    _    

                 /  \  /  \  /  \  /  \

                /    \/    \/    \/    \

███████████████/  /██/  /██/  /██/  /████████████████████████

              /  / \   / \   / \   / \  \_

             /  /   \_/   \_/   \_/   \    o \__,

            / /                       \____/  `

    |/

        ███╗   ███╗ █████╗ ███╗   ███╗██████╗  █████╗

        ████╗ ████║██╔══██╗████╗ ████║██╔══██╗██╔══██╗

        ██╔████╔██║███████║██╔████╔██║██████╔╝███████║

        ██║╚██╔╝██║██╔══██║██║╚██╔╝██║██╔══██╗██╔══██║

        ██║ ╚═╝ ██║██║  ██║██║ ╚═╝ ██║██████╔╝██║  ██║

        ╚═╝     ╚═╝╚═╝  ╚═╝╚═╝     ╚═╝╚═════╝ ╚═╝  ╚═╝

 

mamba (0.15.3) supported by @QuantStack

 

GitHub:  https://github.com/mamba-org/mamba

        Twitter: https://twitter.com/QuantStack

 

█████████████████████████████████████████████████████████████

Looking for: ['cryptography', 'pyopenssl', 'urllib3']

pkgs/main/noarch         [====================] (00m:00s) Done

pkgs/r/linux-64          [====================] (00m:00s) Done

pkgs/r/noarch            [====================] (00m:00s) Done

pkgs/main/linux-64       [====================] (00m:01s) Done

conda-forge/noarch       [====================] (00m:03s) Done

conda-forge/linux-64     [====================] (00m:07s) Done

Pinned packages:

- python 3.7.*

Transaction

Prefix: /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python/envs/fermi_2.0.8

 

All requested packages already installed

 

(fermi_2.0.8) [root@node0518 ~]# python -c "import urllib3.contrib.pyopenssl; urllib3.contrib.pyopenssl.inject_into_urllib3()"

(fermi_2.0.8) [root@node0518 ~]# conda install -y healpy ndg-httpsclient pyasn1 bz2file virtualenv cython ipython sympy pandas pathos readline

fermiPy nb_conda

_    _    _    

                 /  \  /  \  /  \  /  \

                /    \/    \/    \/    \

███████████████/  /██/  /██/  /██/  /████████████████████████

              /  / \   / \   / \   / \  \_
             /  /   \_/   \_/   \_/   \    o \__,

            / /                       \____/  `

    |/

        ███╗   ███╗ █████╗ ███╗   ███╗██████╗  █████╗

        ████╗ ████║██╔══██╗████╗ ████║██╔══██╗██╔══██╗

        ██╔████╔██║███████║██╔████╔██║██████╔╝███████║

        ██║╚██╔╝██║██╔══██║██║╚██╔╝██║██╔══██╗██╔══██║

        ██║ ╚═╝ ██║██║  ██║██║ ╚═╝ ██║██████╔╝██║  ██║

        ╚═╝     ╚═╝╚═╝  ╚═╝╚═╝     ╚═╝╚═════╝ ╚═╝  ╚═╝

 

mamba (0.15.3) supported by @QuantStack

 

GitHub:  https://github.com/mamba-org/mamba

        Twitter: https://twitter.com/QuantStack

 

█████████████████████████████████████████████████████████████

Looking for: ['healpy', 'ndg-httpsclient', 'pyasn1', 'bz2file', 'virtualenv', 'cython', 'ipython', 'sympy', 'pandas', 'pathos', 'readline', 'fermipy', 'nb_conda']

conda-forge/linux-64     Using cache

conda-forge/noarch       Using cache

pkgs/main/linux-64       [====================] (00m:00s) No change

pkgs/main/noarch         [====================] (00m:00s) No change

pkgs/r/linux-64          [====================] (00m:00s) No change

pkgs/r/noarch            [====================] (00m:00s) No change

Pinned packages:

- python 3.7.*

Transaction

Prefix: /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python/envs/fermi_2.0.8

 

Updating specs:

 

- healpy

   - ndg-httpsclient

   - pyasn1

   - bz2file

   - virtualenv

   - cython

   - ipython

   - sympy

   - pandas

   - pathos

   - readline

   - fermipy

   - nb_conda

   - ca-certificates

   - certifi

   - openssl

 

Package               Version  Build           Channel                     Size

───────────────────────────────────────────────────────────────────────────────────

  Install:

───────────────────────────────────────────────────────────────────────────────────

 

+ bz2file                0.98  py_0            conda-forge/noarch          9 KB

  + cython              0.29.30  py37hd23a5d3_0  conda-forge/linux-64        2 MB

  + dill                0.3.5.1  pyhd8ed1ab_0    conda-forge/noarch         71 KB

  + distlib               0.3.4  pyhd8ed1ab_0    conda-forge/noarch        371 KB
  + fermipy               1.0.1  py37h6531663_1  conda-forge/linux-64       29 MB

  + filelock              3.7.0  pyhd8ed1ab_0    conda-forge/noarch         12 KB

  + gammapy              0.18.2  py37h5e8e339_0  conda-forge/linux-64     1019 KB

  + gmp                   6.2.1  h58526e2_0      conda-forge/linux-64      806 KB

  + gmpy2                 2.1.2  py37h025e8b9_0  conda-forge/linux-64      216 KB

  + healpy               1.15.0  py37hd0552aa_2  conda-forge/linux-64        4 MB

  + mpc                   1.2.1  h9f54685_0      conda-forge/linux-64      106 KB

  + mpfr                  4.1.0  h9202a9a_1      conda-forge/linux-64        3 MB

  + mpmath                1.2.1  pyhd8ed1ab_0    conda-forge/noarch        437 KB

  + multiprocess      0.70.12.2  py37h540881e_2  conda-forge/linux-64      184 KB

  + nb_conda              2.2.1  py37h89c1867_4  conda-forge/linux-64       36 KB

  + nb_conda_kernels      2.3.1  py37h89c1867_1  conda-forge/linux-64       27 KB

  + ndg-httpsclient       0.5.1  py_1            conda-forge/noarch         26 KB

  + pathos                0.2.8  pyhd8ed1ab_0    conda-forge/noarch         49 KB

  + platformdirs          2.5.1  pyhd8ed1ab_0    conda-forge/noarch         15 KB

  + pox                   0.3.1  pyhd8ed1ab_0    conda-forge/noarch         24 KB

  + ppft                1.7.6.5  pyhd8ed1ab_0    conda-forge/noarch         32 KB

  + pyasn1                0.4.8  py_0            conda-forge/noarch         53 KB

  + pydantic              1.9.1  py37h540881e_0  conda-forge/linux-64        2 MB

  + pytest-runner         6.0.0  pyhd8ed1ab_0    conda-forge/noarch         11 KB

  + regions                 0.5  py37h5e8e339_1  conda-forge/linux-64      295 KB

  + sympy                1.10.1  py37h89c1867_0  conda-forge/linux-64       12 MB

  + virtualenv          20.14.1  py37h89c1867_0  conda-forge/linux-64        8 MB

 

Summary:

 

Install: 27 packages

 

Total download: 63 MB

 

──────────────────────────────────────────────────────────────────

─────────────────

Finished pyasn1                               (00m:00s)              53 KB    168 KB/s

Finished dill                                 (00m:00s)              71 KB    223 KB/s

Finished gmp                                  (00m:00s)             806 KB      2 MB/s

Finished bz2file                              (00m:00s)               9 KB     17 KB/s

Finished pox                                  (00m:00s)              24 KB     48 KB/s

Finished ppft                                 (00m:00s)              32 KB     63 KB/s

Finished ndg-httpsclient                      (00m:00s)              26 KB     41 KB/s

Finished filelock                             (00m:00s)              12 KB     18 KB/s

Finished multiprocess                         (00m:00s)             184 KB    222 KB/s

Finished nb_conda                             (00m:00s)              36 KB     42 KB/s

Finished pytest-runner                        (00m:00s)              11 KB     11 KB/s

Finished pydantic                             (00m:00s)               2 MB      2 MB/s

Finished distlib                              (00m:00s)             371 KB    377 KB/s

Finished sympy                                (00m:00s)              12 MB     15 MB/s

Finished cython                               (00m:00s)               2 MB      2 MB/s

Finished mpc                                  (00m:00s)             106 KB     92 KB/s

Finished mpmath                               (00m:00s)             437 KB    364 KB/s

Finished platformdirs                         (00m:00s)              15 KB      9 KB/s

Finished gmpy2                                (00m:00s)             216 KB    112 KB/s

Finished fermipy                              (00m:01s)              29 MB     19 MB/s

Finished healpy                               (00m:00s)               4 MB      2 MB/s

Finished regions                              (00m:00s)             295 KB    126 KB/s

Finished pathos                               (00m:00s)              49 KB     20 KB/s

Finished nb_conda_kernels                     (00m:00s)              27 KB     10 KB/s

Finished mpfr                                 (00m:00s)               3 MB    987 KB/s

Finished gammapy                              (00m:01s)            1019 KB    246 KB/s

Finished virtualenv                           (00m:07s)               8 MB    977 KB/s

Downloading  [====================================================================================================]

(01m:04s)    7.24 MB/s

Extracting   [================================================================================================>   ]

(01m:03s)      26 / 27

if not haveBase: raise getopt.GetoptError("Must specify basename, printing help.")

-                print "Creating model map"

+                print("Creating model map")
qP = quickPlot(basename, True)

qP.createModelMap(modelFile)

return

elif opt in ('-r', '--residmap'):

if not haveBase: raise getopt.GetoptError("Must specify basename, printing help.")

-                print "Creating residual map"

+                print("Creating residual map")

qP = quickPlot(basename,True)

qP.createResidMap()

return

elif opt in ('-s','--sigmap'):

if not haveBase: raise getopt.GetoptError("Must specify basename, printing help.")

-                print "Creating significance map"

+                print("Creating significance map")

qP = quickPlot(basename,True)

qP.createSigMap()

return

elif opt in ('-p','--plot'):

if not haveBase: raise getopt.GetoptError("Must specify basename, printing help.")

-                print "Plotting all maps"

+                print("Plotting all maps")

qP = quickPlot(basename, True)

qP.plotMaps()

return

elif opt in ('-P', '--Plot'):

if not haveBase: raise getopt.GetoptError("Must specify basename, printing help.")

-                print "Creating all maps and then plotting them"

+                print("Creating all maps and then plotting them")

qP = quickPlot(basename, True)

qP.runAll(modelFile,True)

if not opts: raise getopt.GetoptError("Must specify an option, printing help.")

 

except getopt.error as e:

-        print "Command Line Error: " + e.msg

+        print("Command Line Error: " + e.msg)

         printCLIHelp()

 

if name == '__main__': cli()

RefactoringTool: Files that were modified:

RefactoringTool: ./quickPlot.py

RefactoringTool: Skipping optional fixer: buffer

RefactoringTool: Skipping optional fixer: idioms

RefactoringTool: Skipping optional fixer: set_literal

RefactoringTool: Skipping optional fixer: ws_comma

RefactoringTool: Refactored ./quickUtils.py

--- ./quickUtils.py    (original)

+++ ./quickUtils.py    (refactored)

@ -10,7 +10,7 @

 import os

 import logging

 import math

-import ConfigParser

+import configparser

 import numpy as np

 

from gt_apps import *

@ -56,12 +56,12 @

 

basename = commonDictionary['base']

 

-    config = ConfigParser.RawConfigParser()

+    config = configparser.RawConfigParser()

config.read(basename+'.cfg')

if(not config.has_section('common')):

2025-04-04 9/22



config.add_section('common')

-    for variable, value in commonDictionary.iteritems():

+    for variable, value in commonDictionary.items():

config.set('common', variable, value)

quickLogger.info("wrote common config to "+basename+".cfg.")

@ -70,7 +70,7 @

quickLogger.info("quickAnalysis config exists, overwriting...")

else:

config.add_section('quickAnalysis')

-        for variable, value in analysisDictionary.iteritems():

+        for variable, value in analysisDictionary.items():

config.set('quickAnalysis', variable, value)

quickLogger.info("wrote quickAnalysis config to "+basename+".cfg.")

@ -79,7 +79,7 @

quickLogger.info("quickLike config exists, overwriting...")

else:

config.add_section('quickLike')

-        for variable, value in likelihoodDictionary.iteritems():

+        for variable, value in likelihoodDictionary.items():

config.set('quickLike', variable, value)

quickLogger.info("wrote quickLikeconfig to "+basename+".cfg.")

@ -88,7 +88,7 @

quickLogger.info("quickPlot config exists, overwriting...")

else:

config.add_section('quickPlot')

-        for variable, value in plotDictionary.iteritems():

+        for variable, value in plotDictionary.items():

config.set('quickPlot', variable, value)

quickLogger.info("wrote quickPlot config to "+basename+".cfg.")

@ -97,7 +97,7 @

quickLogger.info("quickCurve config exists, overwriting...")

else:

config.add_section('quickCurve')

-        for variable, value in curveDictionary.iteritems():

+        for variable, value in curveDictionary.items():

config.set('quickCurve', variable, value)

quickLogger.info("wrote quickCurve config to "+basename+".cfg.")

@ -120,7 +120,7 @

try:

checkForFiles(quickLogger,[basename+".cfg"])

quickLogger.info('Reading from config file ('+basename+'.cfg)')

-        config = ConfigParser.RawConfigParser()

+        config = configparser.RawConfigParser()

config.read(basename+'.cfg')

if(config.has_section('common')):

@ -244,7 +244,7 @

         AppCommand.run(print_command=printCmd)

         quickLogger.info(AppCommand.command())

     else:

-        print AppCommand.command()

+        print(AppCommand.command())

 

def runModel(quickLogger,

RefactoringTool: Files that were modified:

RefactoringTool: ./quickUtils.py

RefactoringTool: Skipping optional fixer: buffer

RefactoringTool: Skipping optional fixer: idioms

RefactoringTool: Skipping optional fixer: set_literal

RefactoringTool: Skipping optional fixer: ws_comma

RefactoringTool: Refactored ./setup.py

--- ./setup.py    (original)

+++ ./setup.py    (refactored)

@ -23,9 +23,9 @

 fermi_dir = os.environ.get("FERMI_DIR")

 

2025-04-04 10/22



if fermi_dir:

-    print "The Fermi Science tools seem to be set up." 

+    print("The Fermi Science tools seem to be set up.")

 else:

-    print "The Fermi Science tools are not set up." 

+    print("The Fermi Science tools are not set up.")

     sys.exit()

 

setup(name='LATAnalysisScripts',

RefactoringTool: Files that were modified:

RefactoringTool: ./setup.py

(fermi_2.0.8) [root@node0518 LATAnalysisScripts-master]# python setup.py install

The Fermi Science tools seem to be set up.

running install

running build

running build_py

copying quickUtils.py > build/lib

copying quickAnalysis.py -> build/lib

copying quickLike.py -> build/lib

copying quickPlot.py -> build/lib

copying quickCurve.py -> build/lib

copying make2FGLxml.py -> build/lib

running install_lib

copying build/lib/quickUtils.py.bak -> /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python3.7/site-packag

es

copying build/lib/quickAnalysis.py.bak -> /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python3.7/site-pac

kages

copying build/lib/quickLike.py.bak -> /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python3.7/site-package

s

copying build/lib/quickPlot.py.bak -> /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python3.7/site-package

s

copying build/lib/make2FGLxml.py.bak -> /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python3.7/site-packa

ges

copying build/lib/quickUtils.py -> /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python3.7/site-packages

copying build/lib/quickAnalysis.py -> /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python3.7/site-package

s

copying build/lib/quickLike.py -> /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python3.7/site-packages

copying build/lib/quickPlot.py -> /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python3.7/site-packages

copying build/lib/quickCurve.py -> /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python3.7/site-packages

copying build/lib/make2FGLxml.py -> /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python3.7/site-packages

byte-compiling /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python3.7/site-packages/quickUtils.py to quic

kUtils.cpython-37.pyc

byte-compiling /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python3.7/site-packages/quickAnalysis.py to q

uickAnalysis.cpython-37.pyc

byte-compiling /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python3.7/site-packages/quickLike.py to quick

Like.cpython-37.pyc

byte-compiling /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python3.7/site-packages/quickPlot.py to quick

Plot.cpython-37.pyc

Sorry: TabError: inconsistent use of tabs and spaces in indentation (quickPlot.py, line 367)

byte-compiling /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python3.7/site-packages/quickCurve.py to quic

kCurve.cpython-37.pyc

byte-compiling /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python3.7/site-packages/make2FGLxml.py to mak

e2FGLxml.cpython-37.pyc

running install_data

creating /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python/envs/fermi_2.0.8/share/fermitools/bin

copying scripts/quickAnalysis -> /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python/envs/fermi_2.0.8/sha

re/fermitools/bin

copying scripts/quickLike -> /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python/envs/fermi_2.0.8/share/f

ermitools/bin

copying scripts/quickPlot -> /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python/envs/fermi_2.0.8/share/f

ermitools/bin

copying scripts/quickCurve -> /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python/envs/fermi_2.0.8/share/

fermitools/bin

running install_egg_info

Writing /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python3.7/site-packages/LATAnalysisScripts-0.2.0-py3

.7.egg-info

(fermi_2.0.8) [root@node0518 LATAnalysisScripts-master]# popd

/scratch/vanecka/build/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0

(fermi_2.0.8) [root@node0518 2.0.8_gcc_9.3.0]# cd $APP_TMP

(fermi_2.0.8) [root@node0518 2.0.8_gcc_9.3.0]# wget https://github.com/kialio/gtapps_mp/archive/master.zip

 -O gtapps_mp-master.zip

--2022-05-24 16:10:52-  https://github.com/kialio/gtapps_mp/archive/master.zip

Connecting to 172.31.1.254:3128... connected.
Proxy request sent, awaiting response... 301 Moved Permanently

Location: https://github.com/fermiPy/gtapps_mp/archive/master.zip [following]

--2022-05-24 16:10:53--  https://github.com/fermiPy/gtapps_mp/archive/master.zip

Connecting to 172.31.1.254:3128... connected.

Proxy request sent, awaiting response... 302 Found

Location: https://codeload.github.com/fermiPy/gtapps_mp/zip/refs/heads/master [following]

--2022-05-24 16:10:54--  https://codeload.github.com/fermiPy/gtapps_mp/zip/refs/heads/master

Connecting to 172.31.1.254:3128... connected.

Proxy request sent, awaiting response... 200 OK

Length: unspecified [application/zip]

Saving to: ‘gtapps_mp-master.zip’

 

[ <=>                                                                                                         

                                                                                                              

                                                                                                        ] 20,3

02       112KB/s   in 0.2s

 

2022-05-24 16:10:55 (112 KB/s) - ‘gtapps_mp-master.zip’ saved [20302]

(fermi_2.0.8) [root@node0518 2.0.8_gcc_9.3.0]# unzip gtapps_mp-master.zip

Archive:  gtapps_mp-master.zip

b8b67db78d889c5a0a8ef93afbbf5aad5f17f439

replace gtapps_mp-master/.gitignore? [y]es, [n]o, [A]ll, [N]one, [r]ename: A

extracting: gtapps_mp-master/.gitignore

inflating: gtapps_mp-master/LICENSE

inflating: gtapps_mp-master/MANIFEST

inflating: gtapps_mp-master/README

inflating: gtapps_mp-master/gtapps_mp/__init__.py

inflating: gtapps_mp-master/gtapps_mp/gtdiffrsp_mp.py

inflating: gtapps_mp-master/gtapps_mp/gtexpmap_mp.py

inflating: gtapps_mp-master/gtapps_mp/gtltcube_mp.py

inflating: gtapps_mp-master/gtapps_mp/gtsrcmaps_mp.py

inflating: gtapps_mp-master/gtapps_mp/gttsmap_mp.py

inflating: gtapps_mp-master/gtapps_mp/utils.py

extracting: gtapps_mp-master/setup.cfg

inflating: gtapps_mp-master/setup.py

(fermi_2.0.8) [root@node0518 2.0.8_gcc_9.3.0]# pushd gtapps_mp-master/

/scratch/vanecka/build/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/gtapps_mp-master /scratch/vanecka/build/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0

(fermi_2.0.8) [root@node0518 gtapps_mp-master]# find . name "*.py" -exec 2to3 -w  {} \;

RefactoringTool: Skipping optional fixer: buffer

RefactoringTool: Skipping optional fixer: idioms

RefactoringTool: Skipping optional fixer: set_literal

RefactoringTool: Skipping optional fixer: ws_comma

RefactoringTool: No changes to ./gtapps_mp/__init__.py

RefactoringTool: Files that need to be modified:

RefactoringTool: ./gtapps_mp/__init__.py

RefactoringTool: Skipping optional fixer: buffer

RefactoringTool: Skipping optional fixer: idioms

RefactoringTool: Skipping optional fixer: set_literal

RefactoringTool: Skipping optional fixer: ws_comma

RefactoringTool: Refactored ./gtapps_mp/gtdiffrsp_mp.py

-- ./gtapps_mp/gtdiffrsp_mp.py    (original)

+++ ./gtapps_mp/gtdiffrsp_mp.py    (refactored)

@ -21,7 +21,7 @

name of the created event file which can be combined with other

files and/or deleted later.'''

-    print "Starting calculation on interval {} to {}".format(times

0

,times

1

)

+    print("Starting calculation on interval {} to {}".format(times

0

,times

1

))

osfilehandle,outfilename = tempfile.mkstemp(suffix=".fits")

     filter['rad'] = "INDEF" 

@ -47,7 +47,7 @

     diffResps['irfs'] = times[5]

     diffResps['chatter'] = 0

     diffResps.run(print_command=False)

-    print "Completed calculation of interval {} to {}".format(times[0],times[1])

+    print("Completed calculation of interval {} to {}".format(times[0],times[1]))

     return outfilename
def eventsum(filenames, Outfile, SaveTemp):

@ -83,10 +83,10 @

         filter.run(print_command=False)

 

if SaveTemp:

-        print "Did not delete the following temporary files:" 

-        print filenames

+        print("Did not delete the following temporary files:")

+        print(filenames)

     else:

-        print "Deleting temporary files..." 

+        print("Deleting temporary files...")

         for filename in filenames:

             os.remove(filename)

 

@ -97,7 +97,7 @

and splits the time into chunks.  It then submits jobs based upon

those start and stop times.'''

-    print "Opening event file to determine break points..."

+    print("Opening event file to determine break points...")

hdulist = pyfits.open(EVFile)

tstart = hdulist

0

.header['TSTART']

tstop = hdulist

0

.header['TSTOP']

@ -112,9 +112,9 @

pool = Pool(processes=bins)

times = np.array([starts,stops,scfiles,evfiles,srcmdls,irfs])

-    print "Spawning {} jobs...".format(bins)

+    print("Spawning {} jobs...".format(bins))

tempfilenames = pool.map(diffrsp,times.transpose())

-    print "Combining temporary files..."

+    print("Combining temporary files...")

eventsum(tempfilenames, OutFile, SaveTemp)

def cli():

RefactoringTool: Files that were modified:

RefactoringTool: ./gtapps_mp/gtdiffrsp_mp.py

RefactoringTool: Skipping optional fixer: buffer

RefactoringTool: Skipping optional fixer: idioms

RefactoringTool: Skipping optional fixer: set_literal

RefactoringTool: Skipping optional fixer: ws_comma

RefactoringTool: Refactored ./gtapps_mp/gtexpmap_mp.py

--- ./gtapps_mp/gtexpmap_mp.py    (original)

+++ ./gtapps_mp/gtexpmap_mp.py    (refactored)

@ -18,10 +18,10 @

     srcrad and nenergies.  This function creates a temporary file for

     the output and returns that file's name.'''

 

-    print "Starting calculation of region {},{} to {},{}".format(square

0

[0][0],

+    print("Starting calculation of region {},{} to {},{}".format(square

0

[0][0],

square

0

[1][0],

square

0

[0][1],

-                                                                 square

0

[1][1])

+                                                                 square

0

[1][1]))

osfilehandle,outfilename = tempfile.mkstemp(suffix=".fits")

expMap['nlongmin'] = "{:,.0f}".format(float(square

0

[0][0]))

expMap['nlongmax'] = "{:,.0f}".format(float(square

0

[0][1]))

@ -39,10 +39,10 @

expMap['submap'] = "yes"

expMap['chatter'] = 0

expMap.run(print_command=False)

-    print "Completed calculation of region {},{} to {},{}".format(square

0

[0][0],

+    print("Completed calculation of region {},{} to {},{}".format(square

0

[0][0],

square

0

[1][0],

square

0

[0][1],

-                                                                  square

0

[1][1])

+                                                                  square

0

[1][1]))
return outfilename

 

@ -65,10 +65,10 @

for expmap_file in expmap_files: expmap_file.close()

if SaveTemp:

-        print "Did not delete the following temporary files:" 

-        print filenames

+        print("Did not delete the following temporary files:")

+        print(filenames)

     else:

-        print "Deleting temporary files..." 

+        print("Deleting temporary files...")

         for filename in filenames:

             os.remove(filename)

 

@ -82,7 +82,7 @

bins = xbins*ybins

if np.mod(nlong,xbins) or np.mod(nlat,ybins):

-        print "The number of x and y bins must fit evenly into the number of long or lat points." 

+        print("The number of x and y bins must fit evenly into the number of long or lat points.")

         return

 

stepx = nlong/xbins

@ -97,9 +97,9 @

     SQ = [(row, SCFile,EVFile,ExpCube,nlong,nlat,IRF,srcrad,nenergy) for row in pairs]

 

pool = Pool(processes=bins)

-    print "Spawning {} jobs...".format(bins)

+    print("Spawning {} jobs...".format(bins))

     filenames = pool.map(expmap,SQ)

-    print "Combining temporary files..." 

+    print("Combining temporary files...")

     expsum(filenames, OutFile, SaveTemp)

 

def cli():

RefactoringTool: Files that were modified:

RefactoringTool: ./gtapps_mp/gtexpmap_mp.py

RefactoringTool: Skipping optional fixer: buffer

RefactoringTool: Skipping optional fixer: idioms

RefactoringTool: Skipping optional fixer: set_literal

RefactoringTool: Skipping optional fixer: ws_comma

RefactoringTool: Refactored ./gtapps_mp/gtltcube_mp.py

--- ./gtapps_mp/gtltcube_mp.py    (original)

+++ ./gtapps_mp/gtltcube_mp.py    (refactored)

@ -22,7 +22,7 @

     created ltcube file which can be combined with other files and/or

     deleted later.'''

 

-    print "Starting calculation on interval {} to {}".format(times

0

,times

1

)

+    print("Starting calculation on interval {} to {}".format(times

0

,times

1

))

if times

3

 != '':

evfile = tempfile.NamedTemporaryFile(suffix=".fits")

filter['ra']="INDEF"

@ -59,7 +59,7 @

expCube['zmax'] = times

4

expCube['chatter'] = 0

expCube.run(print_command=True)

-    print "Completed calculation on interval {} to {}".format(times

0

,times

1

)

+    print("Completed calculation on interval {} to {}".format(times

0

,times

1

))

return outfilename

2025-04-04 14/22



@ -83,10 +83,10 @

"outfile="+Outfile])

if SaveTemp:

-        print "Did not delete the following temporary files:" 

-        print filenames

-    else:

-        print "Deleting temporary files..." 

+        print("Did not delete the following temporary files:")

+        print(filenames)

+    else:

+        print("Deleting temporary files...")

         for filename in filenames:

             os.remove(filename)

 

@ -107,15 +107,15 @

gti_data = evfile

2

.data

if tmin == 0:

-        print "Determining start and stop times from the event file..." 

+        print("Determining start and stop times from the event file...")

         tstart = evfile[0].header['TSTART']

         tstop = evfile[0].header['TSTOP']

     else:

-        print "Using user defined tmin and tmax..." 

+        print("Using user defined tmin and tmax...")

         tstart = tmin

         tstop = tmax

 

-    print "Opening SC file to determine break points..."

+    print("Opening SC file to determine break points...")

hdulist = pyfits.open(SCFile, mode='readonly')

scdata = hdulist

1

.data

hdulist.close()

@ -126,7 +126,7 @

redo = True

     if EVFile !="":

-        print "Checking for good times in the event file..." 

+        print("Checking for good times in the event file...")

     while redo:

         redo = False

         scstartssplit = np.array_split(scstart[time_filter],int(bins))

@ -141,42 +141,42 @

 

if EVFile != "":

             for interval in zip(starts,stops):

-                if verbose: print "Looking at interval",interval[0],"to",interval[1]

+                if verbose: print("Looking at interval",interval[0],"to",interval[1])

                 good_times = False

                 #grrrr.  some bug in pyfits doesn't let me do this the python way...

                 for gti_i in range(len(gti_data)):

                     if(not good_times):

-                        if verbose: print "   Checking gti",gti_data[gti_i]['START'],"to",gti_data[gti_i]['ST

OP']

+                        if verbose: print("   Checking gti",gti_data[gti_i]['START'],"to",gti_data[gti_i]['ST

OP'])

                         gti_starts = interval[0] <= gti_data[gti_i]['START'] <= interval[1]

                         gti_stops = interval[0] <= gti_data[gti_i]['STOP'] <= interval[1]

-                        if verbose: print "   Does this gti start inside this interval? ", gti_starts

-                        if verbose: print "   Does this gti stop inside this interval? ", gti_stops

+                        if verbose: print("   Does this gti start inside this interval? ", gti_starts)

+                        if verbose: print("   Does this gti stop inside this interval? ", gti_stops)

                         good_times = gti_starts or gti_stops

-                        if verbose: print

+                        if verbose: print()
-                if verbose: print "  Are there good times inside this interval? ", good_times

+                if verbose: print("  Are there good times inside this interval? ", good_times)

if not good_times:

redo = True

-                if verbose: print

+                if verbose: print()

if redo:

             if bins <= 1:

-                print "No good time intervals found.  Bailing..." 

+                print("No good time intervals found.  Bailing...")

                 sys.exit(1)

-            print "One (or more) of the slices doesn't have a GTI." 

-            print "Reducing the number of threads from ",bins,"to",bins-1

+            print("One (or more) of the slices doesn't have a GTI.")

+            print("Reducing the number of threads from ",bins,"to",bins-1)

             bins -= 1

 

scfiles = [SCFile for st in scstartssplit]

     evfiles = [EVFile for st in scstartssplit]

-    print "EVFiles:",evfiles

+    print("EVFiles:",evfiles)

     zmaxes =  [zmax for st in scstartssplit]

 

pool = Pool(processes=bins)

     times = np.array([starts,stops,scfiles,evfiles,zmaxes])

-    print "Spawning {} jobs...".format(bins)

+    print("Spawning {} jobs...".format(bins))

     tempfilenames = pool.map(ltcube,times.transpose())

-    print "Combining temporary files..." 

+    print("Combining temporary files...")

     ltsum(tempfilenames, OutFile, SaveTemp)

 

def cli():

RefactoringTool: Files that were modified:

RefactoringTool: ./gtapps_mp/gtltcube_mp.py

RefactoringTool: Skipping optional fixer: buffer

RefactoringTool: Skipping optional fixer: idioms

RefactoringTool: Skipping optional fixer: set_literal

RefactoringTool: Skipping optional fixer: ws_comma

RefactoringTool: Refactored ./gtapps_mp/gtsrcmaps_mp.py

--- ./gtapps_mp/gtsrcmaps_mp.py    (original)

+++ ./gtapps_mp/gtsrcmaps_mp.py    (refactored)

@ -83,10 +83,10 @

         ref_hdu.writeto(outfile,clobber='yes')

 

if savetemp:

-        print "Did not delete the following temporary files:" 

-        print results

+        print("Did not delete the following temporary files:")

+        print(results)

     else:

-        print "Deleting temporary files..." 

+        print("Deleting temporary files...")

         for result in results:

             os.remove(result[1])

 

@ -105,9 +105,9 @

#There's an error when you only use one bin so you need to

#make sure and compute more than one bin per job.

while len(energies)/float(jobs) < 3:

-        print "Too many jobs ({}), reducing by 1".format(jobs)

+        print("Too many jobs ({}), reducing by 1".format(jobs))

jobs = 1

print "Jobs is now {}".format(jobs)

2025-04-04 16/22



+        print("Jobs is now {}".format(jobs))

energy_arrays = np.array_split(energies,jobs)

options = {'nxpix': nxpix,

@ -132,9 +132,9 @

     SQ = [(array,options) for array in energy_arrays]

 

pool = Pool(processes=jobs)

-    print "Spawning {} jobs...".format(jobs)

+    print("Spawning {} jobs...".format(jobs))

     results = pool.map(run_gtsrcmaps,SQ)

-    print "Combining temporary files..." 

+    print("Combining temporary files...")

     srcmapssum(results, ref_hdu, outfile, savetmp)

 

def cli():

RefactoringTool: Files that were modified:

RefactoringTool: ./gtapps_mp/gtsrcmaps_mp.py

RefactoringTool: Skipping optional fixer: buffer

RefactoringTool: Skipping optional fixer: idioms

RefactoringTool: Skipping optional fixer: set_literal

RefactoringTool: Skipping optional fixer: ws_comma

RefactoringTool: Refactored ./gtapps_mp/gttsmap_mp.py

--- ./gtapps_mp/gttsmap_mp.py    (original)

++ ./gtapps_mp/gttsmap_mp.py    (refactored)

@ -149,7 +149,7 @

     command = ("python %s runLike %s %s" 

                % (this_arg,subdir, tpl_file))

     sys.stdout.write("partition %s: " % subdir)

-    print command

    print(command)

     sys.stdout.flush()

     subprocess.call(command.split())

 

@ -291,7 +291,7 @

tsmap.merge_results()

     if not savetmp:

-        print "Deleting temporary files." 

+        print("Deleting temporary files.")

         tsmap.remove_tempfiles()

 

RefactoringTool: Files that were modified:

RefactoringTool: ./gtapps_mp/gttsmap_mp.py

RefactoringTool: Skipping optional fixer: buffer

RefactoringTool: Skipping optional fixer: idioms

RefactoringTool: Skipping optional fixer: set_literal

RefactoringTool: Skipping optional fixer: ws_comma

RefactoringTool: No changes to ./gtapps_mp/utils.py

RefactoringTool: Files that need to be modified:

RefactoringTool: ./gtapps_mp/utils.py

RefactoringTool: Skipping optional fixer: buffer

RefactoringTool: Skipping optional fixer: idioms

RefactoringTool: Skipping optional fixer: set_literal

RefactoringTool: Skipping optional fixer: ws_comma

RefactoringTool: No changes to ./build/lib/gtapps_mp/__init__.py

RefactoringTool: Files that need to be modified:

RefactoringTool: ./build/lib/gtapps_mp/__init__.py

RefactoringTool: Skipping optional fixer: buffer

RefactoringTool: Skipping optional fixer: idioms

RefactoringTool: Skipping optional fixer: set_literal

RefactoringTool: Skipping optional fixer: ws_comma

RefactoringTool: No changes to ./build/lib/gtapps_mp/utils.py

RefactoringTool: Files that need to be modified:

RefactoringTool: ./build/lib/gtapps_mp/utils.py

RefactoringTool: Skipping optional fixer: buffer

RefactoringTool: Skipping optional fixer: idioms
RefactoringTool: Skipping optional fixer: set_literal

RefactoringTool: Skipping optional fixer: ws_comma

RefactoringTool: Refactored ./build/lib/gtapps_mp/gtdiffrsp_mp.py

--- ./build/lib/gtapps_mp/gtdiffrsp_mp.py    (original)

+++ ./build/lib/gtapps_mp/gtdiffrsp_mp.py    (refactored)

@ -21,7 +21,7 @

name of the created event file which can be combined with other

files and/or deleted later.'''

-    print("Starting calculation on interval {} to {}".format(times

0

,times

1

))

+    print(("Starting calculation on interval {} to {}".format(times

0

,times

1

)))

osfilehandle,outfilename = tempfile.mkstemp(suffix=".fits")

     filter['rad'] = "INDEF" 

@ -47,7 +47,7 @

     diffResps['irfs'] = times[5]

     diffResps['chatter'] = 0

     diffResps.run(print_command=False)

-    print("Completed calculation of interval {} to {}".format(times[0],times[1]))

+    print(("Completed calculation of interval {} to {}".format(times[0],times[1])))

     return outfilename

 

def eventsum(filenames, Outfile, SaveTemp):

@ -112,7 +112,7 @

     pool = Pool(processes=bins)

     times = np.array([starts,stops,scfiles,evfiles,srcmdls,irfs])

 

-    print("Spawning {} jobs...".format(bins))

+    print(("Spawning {} jobs...".format(bins)))

tempfilenames = pool.map(diffrsp,times.transpose())

print("Combining temporary files...")

eventsum(tempfilenames, OutFile, SaveTemp)

RefactoringTool: Files that were modified:

RefactoringTool: ./build/lib/gtapps_mp/gtdiffrsp_mp.py

RefactoringTool: Skipping optional fixer: buffer

RefactoringTool: Skipping optional fixer: idioms

RefactoringTool: Skipping optional fixer: set_literal

RefactoringTool: Skipping optional fixer: ws_comma

RefactoringTool: Refactored ./build/lib/gtapps_mp/gtexpmap_mp.py

--- ./build/lib/gtapps_mp/gtexpmap_mp.py    (original)

+++ ./build/lib/gtapps_mp/gtexpmap_mp.py    (refactored)

@ -18,10 +18,10 @

srcrad and nenergies.  This function creates a temporary file for

the output and returns that file's name.'''

-    print("Starting calculation of region {},{} to {},{}".format(square

0

[0][0],

+    print(("Starting calculation of region {},{} to {},{}".format(square

0

[0][0],

square

0

[1][0],

square

0

[0][1],

-                                                                 square

0

[1][1]))

+                                                                 square

0

[1][1])))

osfilehandle,outfilename = tempfile.mkstemp(suffix=".fits")

expMap['nlongmin'] = "{:,.0f}".format(float(square

0

[0][0]))

expMap['nlongmax'] = "{:,.0f}".format(float(square

0

[0][1]))

@ -39,10 +39,10 @

expMap['submap'] = "yes"

expMap['chatter'] = 0

expMap.run(print_command=False)

-    print("Completed calculation of region {},{} to {},{}".format(square

0

[0][0],

+    print(("Completed calculation of region {},{} to {},{}".format(square

0

[0][0],

square

0

[1][0],

square

0

[0][1],

-                                                                  square

0

[1][1]))

+                                                                  square

0

[1][1])))

return outfilename

 

@ -97,7 +97,7 @

SQ = [(row, SCFile,EVFile,ExpCube,nlong,nlat,IRF,srcrad,nenergy) for row in pairs]
pool = Pool(processes=bins)

-    print("Spawning {} jobs...".format(bins))

+    print(("Spawning {} jobs...".format(bins)))

     filenames = pool.map(expmap,SQ)

     print("Combining temporary files...")

     expsum(filenames, OutFile, SaveTemp)

RefactoringTool: Files that were modified:

RefactoringTool: ./build/lib/gtapps_mp/gtexpmap_mp.py

RefactoringTool: Skipping optional fixer: buffer

RefactoringTool: Skipping optional fixer: idioms

RefactoringTool: Skipping optional fixer: set_literal

RefactoringTool: Skipping optional fixer: ws_comma

RefactoringTool: Refactored ./build/lib/gtapps_mp/gtltcube_mp.py

--- ./build/lib/gtapps_mp/gtltcube_mp.py    (original)

+++ ./build/lib/gtapps_mp/gtltcube_mp.py    (refactored)

@ -22,7 +22,7 @

     created ltcube file which can be combined with other files and/or

     deleted later.'''

 

-    print("Starting calculation on interval {} to {}".format(times

0

,times

1

))

+    print(("Starting calculation on interval {} to {}".format(times

0

,times

1

)))

if times

3

 != '':

evfile = tempfile.NamedTemporaryFile(suffix=".fits")

filter['ra']="INDEF"

@ -59,7 +59,7 @

expCube['zmax'] = times

4

expCube['chatter'] = 0

expCube.run(print_command=True)

-    print("Completed calculation on interval {} to {}".format(times

0

,times

1

))

+    print(("Completed calculation on interval {} to {}".format(times

0

,times

1

)))

return outfilename

@ -141,20 +141,20 @

if EVFile != "":

             for interval in zip(starts,stops):

-                if verbose: print("Looking at interval",interval[0],"to",interval[1])

+                if verbose: print(("Looking at interval",interval[0],"to",interval[1]))

                 good_times = False

                 #grrrr.  some bug in pyfits doesn't let me do this the python way...

                 for gti_i in range(len(gti_data)):

                     if(not good_times):

-                        if verbose: print("   Checking gti",gti_data[gti_i]['START'],"to",gti_data[gti_i]['ST

OP'])

+                        if verbose: print(("   Checking gti",gti_data[gti_i]['START'],"to",gti_data[gti_i]['S

TOP']))

                         gti_starts = interval[0] <= gti_data[gti_i]['START'] <= interval[1]

                         gti_stops = interval[0] <= gti_data[gti_i]['STOP'] <= interval[1]

-                        if verbose: print("   Does this gti start inside this interval? ", gti_starts)

-                        if verbose: print("   Does this gti stop inside this interval? ", gti_stops)

+                        if verbose: print(("   Does this gti start inside this interval? ", gti_starts))

+                        if verbose: print(("   Does this gti stop inside this interval? ", gti_stops))

                         good_times = gti_starts or gti_stops

                         if verbose: print()

 

-                if verbose: print("  Are there good times inside this interval? ", good_times)

+                if verbose: print(("  Are there good times inside this interval? ", good_times))

if not good_times:

redo = True

if verbose: print()

@ -164,17 +164,17 @

print("No good time intervals found.  Bailing...")

sys.exit(1)

print("One (or more) of the slices doesn't have a GTI.")

-            print("Reducing the number of threads from ",bins,"to",bins-1)

+            print(("Reducing the number of threads from ",bins,"to",bins-1))

bins -= 1

scfiles = [SCFile for st in scstartssplit]

     evfiles = [EVFile for st in scstartssplit]

-    print("EVFiles:",evfiles)
+    print(("EVFiles:",evfiles))

     zmaxes =  [zmax for st in scstartssplit]

 

pool = Pool(processes=bins)

     times = np.array([starts,stops,scfiles,evfiles,zmaxes])

-    print("Spawning {} jobs...".format(bins))

+    print(("Spawning {} jobs...".format(bins)))

     tempfilenames = pool.map(ltcube,times.transpose())

     print("Combining temporary files...")

     ltsum(tempfilenames, OutFile, SaveTemp)

RefactoringTool: Files that were modified:

RefactoringTool: ./build/lib/gtapps_mp/gtltcube_mp.py

RefactoringTool: Skipping optional fixer: buffer

RefactoringTool: Skipping optional fixer: idioms

RefactoringTool: Skipping optional fixer: set_literal

RefactoringTool: Skipping optional fixer: ws_comma

RefactoringTool: Refactored ./build/lib/gtapps_mp/gtsrcmaps_mp.py

--- ./build/lib/gtapps_mp/gtsrcmaps_mp.py    (original)

++ ./build/lib/gtapps_mp/gtsrcmaps_mp.py    (refactored)

@ -105,9 +105,9 @

     #There's an error when you only use one bin so you need to

     #make sure and compute more than one bin per job.

     while len(energies)/float(jobs) < 3:

-        print("Too many jobs ({}), reducing by 1".format(jobs))

        print(("Too many jobs ({}), reducing by 1".format(jobs)))

         jobs = 1

        print("Jobs is now {}".format(jobs))

+        print(("Jobs is now {}".format(jobs)))

     energy_arrays = np.array_split(energies,jobs)

 

options = {'nxpix': nxpix,

@ -132,7 +132,7 @

     SQ = [(array,options) for array in energy_arrays]

 

pool = Pool(processes=jobs)

-    print("Spawning {} jobs...".format(jobs))

+    print(("Spawning {} jobs...".format(jobs)))

     results = pool.map(run_gtsrcmaps,SQ)

     print("Combining temporary files...")

     srcmapssum(results, ref_hdu, outfile, savetmp)

RefactoringTool: Files that were modified:

RefactoringTool: ./build/lib/gtapps_mp/gtsrcmaps_mp.py

RefactoringTool: Skipping optional fixer: buffer

RefactoringTool: Skipping optional fixer: idioms

RefactoringTool: Skipping optional fixer: set_literal

RefactoringTool: Skipping optional fixer: ws_comma

RefactoringTool: No changes to ./build/lib/gtapps_mp/gttsmap_mp.py

RefactoringTool: Files that need to be modified:

RefactoringTool: ./build/lib/gtapps_mp/gttsmap_mp.py

RefactoringTool: Skipping optional fixer: buffer

RefactoringTool: Skipping optional fixer: idioms

RefactoringTool: Skipping optional fixer: set_literal

RefactoringTool: Skipping optional fixer: ws_comma

RefactoringTool: No changes to ./setup.py

RefactoringTool: Files that need to be modified:

RefactoringTool: ./setup.py

(fermi_2.0.8) [root@node0518 gtapps_mp-master]# python setup.py install

running install

running bdist_egg

running egg_info

writing gtapps_mp.egg-info/PKG-INFO

writing dependency_links to gtapps_mp.egg-info/dependency_links.txt

writing entry points to gtapps_mp.egg-info/entry_points.txt

writing top-level names to gtapps_mp.egg-info/top_level.txt

reading manifest file 'gtapps_mp.egg-info/SOURCES.txt'

writing manifest file 'gtapps_mp.egg-info/SOURCES.txt'

installing library code to build/bdist.linux-x86_64/egg

running install_lib

running build_py
copying gtapps_mp/gttsmap_mp.py -> build/lib/gtapps_mp

creating build/bdist.linux-x86_64/egg

creating build/bdist.linux-x86_64/egg/gtapps_mp

copying build/lib/gtapps_mp/__init__.py -> build/bdist.linux-x86_64/egg/gtapps_mp

copying build/lib/gtapps_mp/utils.py -> build/bdist.linux-x86_64/egg/gtapps_mp

copying build/lib/gtapps_mp/gtdiffrsp_mp.py.bak -> build/bdist.linux-x86_64/egg/gtapps_mp

copying build/lib/gtapps_mp/gtdiffrsp_mp.py -> build/bdist.linux-x86_64/egg/gtapps_mp

copying build/lib/gtapps_mp/gtexpmap_mp.py.bak -> build/bdist.linux-x86_64/egg/gtapps_mp

copying build/lib/gtapps_mp/gtexpmap_mp.py -> build/bdist.linux-x86_64/egg/gtapps_mp

copying build/lib/gtapps_mp/gtltcube_mp.py.bak -> build/bdist.linux-x86_64/egg/gtapps_mp

copying build/lib/gtapps_mp/gtltcube_mp.py -> build/bdist.linux-x86_64/egg/gtapps_mp

copying build/lib/gtapps_mp/gtsrcmaps_mp.py.bak -> build/bdist.linux-x86_64/egg/gtapps_mp

copying build/lib/gtapps_mp/gtsrcmaps_mp.py -> build/bdist.linux-x86_64/egg/gtapps_mp

copying build/lib/gtapps_mp/gttsmap_mp.py -> build/bdist.linux-x86_64/egg/gtapps_mp

byte-compiling build/bdist.linux-x86_64/egg/gtapps_mp/__init__.py to init.cpython-37.pyc

byte-compiling build/bdist.linux-x86_64/egg/gtapps_mp/utils.py to utils.cpython-37.pyc

byte-compiling build/bdist.linux-x86_64/egg/gtapps_mp/gtdiffrsp_mp.py to gtdiffrsp_mp.cpython-37.pyc

byte-compiling build/bdist.linux-x86_64/egg/gtapps_mp/gtexpmap_mp.py to gtexpmap_mp.cpython-37.pyc

byte-compiling build/bdist.linux-x86_64/egg/gtapps_mp/gtltcube_mp.py to gtltcube_mp.cpython-37.pyc

byte-compiling build/bdist.linux-x86_64/egg/gtapps_mp/gtsrcmaps_mp.py to gtsrcmaps_mp.cpython-37.pyc

byte-compiling build/bdist.linux-x86_64/egg/gtapps_mp/gttsmap_mp.py to gttsmap_mp.cpython-37.pyc

creating build/bdist.linux-x86_64/egg/EGG-INFO

copying gtapps_mp.egg-info/PKG-INFO -> build/bdist.linux-x86_64/egg/EGG-INFO

copying gtapps_mp.egg-info/SOURCES.txt -> build/bdist.linux-x86_64/egg/EGG-INFO

copying gtapps_mp.egg-info/dependency_links.txt -> build/bdist.linux-x86_64/egg/EGG-INFO

copying gtapps_mp.egg-info/entry_points.txt -> build/bdist.linux-x86_64/egg/EGG-INFO

copying gtapps_mp.egg-info/top_level.txt -> build/bdist.linux-x86_64/egg/EGG-INFO

zip_safe flag not set; analyzing archive contents...

creating 'dist/gtapps_mp-1.5-py3.7.egg' and adding 'build/bdist.linux-x86_64/egg' to it

removing 'build/bdist.linux-x86_64/egg' (and everything under it)

Processing gtapps_mp-1.5-py3.7.egg

Copying gtapps_mp-1.5-py3.7.egg to /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python3.7/site-packages

Adding gtapps-mp 1.5 to easy-install.pth file

Installing gtdiffrsp_mp script to /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/bin

Installing gtexpmap_mp script to /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/bin

Installing gtltcube_mp script to /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/bin

Installing gttsmap_mp script to /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/bin

 

Installed /soft/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0/lib/python3.7/site-packages/gtapps_mp-1.5-py3.7.egg

Processing dependencies for gtapps-mp==1.5

Finished processing dependencies for gtapps-mp==1.5

(fermi_2.0.8) [root@node0518 gtapps_mp-master]# popd

/scratch/vanecka/build/sl7/gen5-mic/fermitools/2.0.8_gcc_9.3.0

(fermi_2.0.8) [root@node0518 2.0.8_gcc_9.3.0]# cd $APP_TMP

(fermi_2.0.8) [root@node0518 2.0.8_gcc_9.3.0]# wget https://fermi.gsfc.nasa.gov/ssc/data/analysis/user/SED_scripts_v13.1.tgz O

SED_scripts_v13.1.tgz

--2022-05-24 16:11:49-  https://fermi.gsfc.nasa.gov/ssc/data/analysis/user/SED_scripts_v13.1.tgz

Connecting to 172.31.1.254:3128... connected.

Proxy request sent, awaiting response... 200 OK

Length: 721155 (704K) [application/x-tar]

Saving to: ‘SED_scripts_v13.1.tgz’

100%[============================================================================================================

=================================================================================================================

=====================================================================================================>] 721,155     

131KB/s   in 6.7s

2022-05-24 16:11:57 (105 KB/s) - ‘SED_scripts_v13.1.tgz’ saved [721155/721155]

(fermi_2.0.8) [root@node0518 2.0.8_gcc_9.3.0]# wget https://www.slac.stanford.edu/~lott/ABM_mult_P8.tar.gz O ABM_mult_P8.tar.gz

--2022-05-24 16:11:58-  https://www.slac.stanford.edu/~lott/ABM_mult_P8.tar.gz

Connecting to 172.31.1.254:3128... connected.

Proxy request sent, awaiting response... 200 OK

Length: 25945342 (25M) [application/x-gzip]

Saving to: ‘ABM_mult_P8.tar.gz’

69%

[================================================================================================================

===============================================================================================================>   

] 18,071,552  --.-K/s   in 6m 24s

2022-05-24 16:18:25 (46.0 KB/s) - Connection closed at byte 18071552. Retrying.

2025-04-04 21/22

https://fermi.gsfc.nasa.gov/ssc/data/analysis/user/SED_scripts_v13.1.tgz
https://fermi.gsfc.nasa.gov/ssc/data/analysis/user/SED_scripts_v13.1.tgz
https://www.slac.stanford.edu/~lott/ABM_mult_P8.tar.gz
https://www.slac.stanford.edu/~lott/ABM_mult_P8.tar.gz


--2022-05-24 16:18:26--  (try: 2)  https://www.slac.stanford.edu/~lott/ABM_mult_P8.tar.gz

Connecting to 172.31.1.254:3128... connected.

Proxy request sent, awaiting response... 206 Partial Content

Length: 25945342 (25M), 7873790 (7.5M) remaining [application/x-gzip]

Saving to: ‘ABM_mult_P8.tar.gz’

100%[++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

+++==================================================================================================>] 25,945,342  

222KB/s   in 36s

2022-05-24 16:19:03 (215 KB/s) - ‘ABM_mult_P8.tar.gz’ saved [25945342/25945342]

(fermi_2.0.8) [root@node0518 2.0.8_gcc_9.3.0]# cd $CONDA_PKGS_DIRS

(fermi_2.0.8) [root@node0518 site-packages]# tar -xf $APP_TMP/SED_scripts_v13.1.tgz

(fermi_2.0.8) [root@node0518 site-packages]# tar -xf $APP_TMP/ABM_mult_P8.tar.gz

(fermi_2.0.8) [root@node0518 site-packages]# conda deactivate

Run 'mamba init' to be able to run mamba activate/deactivate

and start a new shell session. Or use conda to activate/deactivate.

$ conda deactivate

 

(fermi_2.0.8) [root@node0518 site-packages]# chown $HPC_OWNER:$HPC_GROUP $APP_DEST $(dirname

/soft/sl7/gen5-mic/modules/physical-sciences/fermitools/2.0.8_gcc_9.3.0) -R

Files

output.txt 10.8 KB 2022-05-23 Albert van Eck
